Debian Bug report logs - #692418
wicd-daemon: Fails to automatically (re)connect after rfkill unblock

version graph

Package: wicd-daemon; Maintainer for wicd-daemon is David Paleino <dapal@debian.org>; Source for wicd-daemon is src:wicd.

Reported by: Cyril Brulebois <kibi@debian.org>

Date: Mon, 5 Nov 2012 23:27:02 UTC

Severity: important

Tags: moreinfo

Found in version wicd/1.7.2.4-2

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, kibi@debian.org, David Paleino <dapal@debian.org>:
Bug#692418; Package wicd-daemon. (Mon, 05 Nov 2012 23:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
New Bug report received and forwarded. Copy sent to kibi@debian.org, David Paleino <dapal@debian.org>. (Mon, 05 Nov 2012 23:27:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: wicd-daemon: Fails to automatically (re)connect after rfkill unblock
Date: Tue, 06 Nov 2012 00:22:36 +0100
Package: wicd-daemon
Version: 1.7.2.4-2
Severity: serious
Justification: Fails to do its job

Hi,

wicd-daemon comes with those two settings:
 - per-connection: Automatically connect to this network
 - globally: Automatically reconnect on network connection loss

Both of which are checked here.

Nevertheless, the following happens:
  sudo rfkill block wlan
  → Status switches from “Connected to FOO” to “Not connected”, good.

  sudo rfkill unblock wlan
  → [nothing happens], bad.

Even worse, when rfkill block wlan has been done, a click on “Connect”
leads to “FOO: Putting the interface up”, then “FOO: Validating
authentication”. It finally ends up with: “FOO: Connection Failed: Bad
password”, which is utterly wrong!

For a daemon supposed to handle networking, that looks like a serious
issue. (Imagine how fun it is when a machine boots with wlan blocked by
rfkill; one has to disconnect all, refresh, etc. a few times before
being able to connect successfully. It takes more time than the whole
boot sequence!)

NM does support that properly, FWIW.

Similar bug report, with a quite old version and some bits of noise from
another user, which is what I'm trying to avoid by filing my own bug
with trivially reproducible steps:
  http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=582567

Mraw,
KiBi.

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 3.2.0-3-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages wicd-daemon depends on:
ii  adduser                         3.113+nmu3
ii  dbus                            1.6.8-1
ii  debconf                         1.5.46
ii  iproute                         20120521-3
ii  iputils-ping                    3:20101006-1+b1
ii  isc-dhcp-client [dhcp3-client]  4.2.2.dfsg.1-5+deb70u2
ii  lsb-base                        4.1+Debian7
ii  net-tools                       1.60-24.2
ii  psmisc                          22.19-1
ii  python                          2.7.3~rc2-1
ii  python-dbus                     1.1.1-1
ii  python-gobject                  3.2.2-1
ii  python-wicd                     1.7.2.4-2
ii  wireless-tools                  30~pre9-8
ii  wpasupplicant                   1.0-2

Versions of packages wicd-daemon recommends:
ii  wicd-gtk [wicd-client]  1.7.2.4-2

Versions of packages wicd-daemon suggests:
ii  pm-utils  1.4.1-9

Versions of packages wicd-gtk depends on:
ii  python         2.7.3~rc2-1
ii  python-glade2  2.24.0-3
ii  python-gtk2    2.24.0-3

Versions of packages wicd-gtk recommends:
ii  gksu           2.0.2-6
ii  python-notify  0.1.1-3

Versions of packages wicd-curses depends on:
ii  python        2.7.3~rc2-1
ii  python-urwid  1.0.1-2

Versions of packages wicd-curses recommends:
ii  sudo  1.8.5p2-1

Versions of packages python-wicd depends on:
ii  python     2.7.3~rc2-1
ii  python2.6  2.6.8-0.2
ii  python2.7  2.7.3~rc2-2.1

-- debconf information excluded



Information forwarded to debian-bugs-dist@lists.debian.org, David Paleino <dapal@debian.org>:
Bug#692418; Package wicd-daemon. (Wed, 21 Nov 2012 18:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to dapal@debian.org:
Extra info received and forwarded to list. Copy sent to David Paleino <dapal@debian.org>. (Wed, 21 Nov 2012 18:33:03 GMT) Full text and rfc822 format available.

Message #10 received at 692418@bugs.debian.org (full text, mbox):

From: David Paleino <dapal@debian.org>
To: 692418@bugs.debian.org
Cc: Cyril Brulebois <kibi@debian.org>
Subject: Re: Bug#692418: wicd-daemon: Fails to automatically (re)connect after rfkill unblock
Date: Wed, 21 Nov 2012 19:28:56 +0100
[Message part 1 (text/plain, inline)]
severity 692418 important
tags 692418 moreinfo
thanks

Hello KiBi,

On Tue, 06 Nov 2012 00:22:36 +0100, Cyril Brulebois wrote:

> Hi,
> 
> wicd-daemon comes with those two settings:
>  - per-connection: Automatically connect to this network
>  - globally: Automatically reconnect on network connection loss
> 
> Both of which are checked here.
> 
> Nevertheless, the following happens:
>   sudo rfkill block wlan
>   → Status switches from “Connected to FOO” to “Not connected”, good.
> 
>   sudo rfkill unblock wlan
>   → [nothing happens], bad.

I just tested it. Reaction isn't immediate, but here it reconnects fine to my
home wireless network -- after 4 seconds from the unblock, a GTK notification
pops up saying "Connection in progress", and right after it succeeds.

Can you please test whether waiting a bit it reconnects?

David

-- 
 . ''`.   Debian developer | http://wiki.debian.org/DavidPaleino
 : :'  : Linuxer #334216 --|-- http://www.hanskalabs.net/
 `. `'`  GPG: 1392B174 ----|---- http://deb.li/dapal
   `-   2BAB C625 4E66 E7B8 450A C3E1 E6AA 9017 1392 B174
[signature.asc (application/pgp-signature, attachment)]

Severity set to 'important' from 'serious' Request was from David Paleino <dapal@debian.org> to control@bugs.debian.org. (Wed, 21 Nov 2012 18:33:05 GMT) Full text and rfc822 format available.

Added tag(s) moreinfo. Request was from David Paleino <dapal@debian.org> to control@bugs.debian.org. (Wed, 21 Nov 2012 18:33:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, David Paleino <dapal@debian.org>:
Bug#692418; Package wicd-daemon. (Wed, 21 Nov 2012 18:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to David Paleino <dapal@debian.org>. (Wed, 21 Nov 2012 18:36:03 GMT) Full text and rfc822 format available.

Message #19 received at 692418@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: David Paleino <dapal@debian.org>
Cc: 692418@bugs.debian.org
Subject: Re: Bug#692418: wicd-daemon: Fails to automatically (re)connect after rfkill unblock
Date: Wed, 21 Nov 2012 19:32:48 +0100
[Message part 1 (text/plain, inline)]
David Paleino <dapal@debian.org> (21/11/2012):
> I just tested it. Reaction isn't immediate, but here it reconnects fine to my
> home wireless network -- after 4 seconds from the unblock, a GTK notification
> pops up saying "Connection in progress", and right after it succeeds.
> 
> Can you please test whether waiting a bit it reconnects?

How many minutes should I wait?

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, David Paleino <dapal@debian.org>:
Bug#692418; Package wicd-daemon. (Wed, 21 Nov 2012 19:42:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to dapal@debian.org:
Extra info received and forwarded to list. Copy sent to David Paleino <dapal@debian.org>. (Wed, 21 Nov 2012 19:42:06 GMT) Full text and rfc822 format available.

Message #24 received at 692418@bugs.debian.org (full text, mbox):

From: David Paleino <dapal@debian.org>
To: 692418@bugs.debian.org
Cc: Cyril Brulebois <kibi@debian.org>
Subject: Re: Bug#692418: wicd-daemon: Fails to automatically (re)connect after rfkill unblock
Date: Wed, 21 Nov 2012 20:40:06 +0100
[Message part 1 (text/plain, inline)]
On Wed, 21 Nov 2012 19:32:48 +0100, Cyril Brulebois wrote:

> David Paleino <dapal@debian.org> (21/11/2012):
> > I just tested it. Reaction isn't immediate, but here it reconnects fine to
> > my home wireless network -- after 4 seconds from the unblock, a GTK
> > notification pops up saying "Connection in progress", and right after it
> > succeeds.
> > 
> > Can you please test whether waiting a bit it reconnects?
> 
> How many minutes should I wait?

Sarcasm not needed, thanks.

It would be useful if you could attach wicd.log.

David

-- 
 . ''`.   Debian developer | http://wiki.debian.org/DavidPaleino
 : :'  : Linuxer #334216 --|-- http://www.hanskalabs.net/
 `. `'`  GPG: 1392B174 ----|---- http://deb.li/dapal
   `-   2BAB C625 4E66 E7B8 450A C3E1 E6AA 9017 1392 B174
[signature.asc (application/pgp-signature, attachment)]

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 16:40:41 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.